"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = (0, tslib_1.__importDefault)(require("chalk"));
const typescript = (0, tslib_1.__importStar)(require("typescript"));
require("../injectors/dev");
const clearConsole_1 = require("../lib/clearConsole");
const webpackCompiler_1 = require("../lib/webpackCompiler");
const env_1 = require("../util/env");
const getWebpackConfig_1 = require("./util/getWebpackConfig");
if (env_1.IS_INTERACTIVE) {
    (0, clearConsole_1.clearConsole)();
}
console.log(chalk_1.default.cyan('Starting the development server...'));
console.log(chalk_1.default.green('Using TypeScript v' + typescript.version));
console.log();
const compiler = (0, webpackCompiler_1.createCompiler)((0, getWebpackConfig_1.getWebpackConfig)('development'), env_1.RuntimeOptions);
// start the webpack watchers
compiler.watch({}, (err) => {
    if (err) {
        throw err;
    }
});
//# sourceMappingURL=start.js.map